Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.utils
Interface SWTBotPreferenceConstants

All Known Implementing Classes:
  SWTBotPreferences

    public interface SWTBotPreferenceConstants

Constants used by `SWTBotPreferences`.

Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>

Field Summary
`static String` | `KEY_DEFAULT_KEY`
`static String` | `KEY_DEFAULT_POLL_DELAY`
`static String` | `KEY_KEYBOARD_LAYOUT`
`static String` | `KEY_KEYBOARD_STRATEGY`
`static String` | `KEY_MAX_ERROR_SCREENSHOT_COUNT`
`static String` | `KEY_PLAYBACK_DELAY`
`static String` | `KEY_RECORER_FILE_NAME` Deprecated. - this will be removed in future versions of swtbot.
`static String` | `KEY_SCREENSHOT_FORMAT`
`static String` | `KEY_SCREENSHOTS_DIR`
`static String` | `KEY_TIMEOUT`
`static String` | `KEY_TYPE_INTERVAL`

Field Detail

### KEY_DEFAULT_KEY

    static final String KEY_DEFAULT_KEY

See Also:
  `SWTBotPreferences.DEFAULT_KEY`, Constant Field Values

### KEY_TIMEOUT

    static final String KEY_TIMEOUT

See Also:
  `SWTBotPreferences.TIMEOUT`, Constant Field Values

### KEY_RECORER_FILE_NAME

    static final String KEY_RECORER_FILE_NAME

  Deprecated. - this will be removed in future versions of swtbot.
  See Also:
    `SWTBotPreferences.RECORDER_FILE_NAME`, Constant Field Values

### KEY_PLAYBACK_DELAY

    static final String KEY_PLAYBACK_DELAY

See Also:
  `SWTBotPreferences.PLAYBACK_DELAY`, Constant Field Values

### KEY_DEFAULT_POLL_DELAY

    static final String KEY_DEFAULT_POLL_DELAY

See Also:
  `SWTBotPreferences.DEFAULT_POLL_DELAY`, Constant Field Values

### KEY_MAX_ERROR_SCREENSHOT_COUNT

    static final String KEY_MAX_ERROR_SCREENSHOT_COUNT

See Also:
  `SWTBotPreferences.MAX_ERROR_SCREENSHOT_COUNT`, Constant Field Values

### KEY_SCREENSHOTS_DIR

    static final String KEY_SCREENSHOTS_DIR

See Also:
  `SWTBotPreferences.SCREENSHOTS_DIR`, Constant Field Values

### KEY_SCREENSHOT_FORMAT

    static final String KEY_SCREENSHOT_FORMAT

See Also:
  `SWTBotPreferences.SCREENSHOT_FORMAT`, Constant Field Values

### KEY_KEYBOARD_LAYOUT

    static final String KEY_KEYBOARD_LAYOUT

See Also:
  `SWTBotPreferences.KEYBOARD_LAYOUT`, Constant Field Values

### KEY_TYPE_INTERVAL

    static final String KEY_TYPE_INTERVAL

See Also:
  `SWTBotPreferences.TYPE_INTERVAL`, Constant Field Values

### KEY_KEYBOARD_STRATEGY

    static final String KEY_KEYBOARD_STRATEGY

See Also:
  `SWTBotPreferences.KEYBOARD_STRATEGY`, Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD